Privacy Guard

Overview

Privacy Guard is a multi purpose privacy tool that:

1. Encrypts & locks your Internet Explorer Favorites, History, Typed URLs & personal data you leave on the Internet.

2. Block sites or only images in the sites.

3. Close all opened browsers & pop-ups in a single click.

4. Hide all opened browsers & pop-ups in a single click.

5. Show all hidden browsers & pop-ups in a single click.

The Program main window contains 7 Tabs:


PrivacyGuard-OptionsTab

Options Tab

1. Locking and Unlocking Options:

i. Lock all Favorites when screen saver activates:
If you leave your PC running, after a certain time the screen saver will be activated, at this moment all your favorites will be locked so if any one removes the screen saver he can't access your favorites.
If you want to unlock them later, you can use "Unlock All Favorites" command in the program tray menu.

ii. Lock all History when screen saver activates:
Like the above option.

iii. Lock all URLs when screen saver activates:
Internet Explorer saves the URLs you type in the address bar.
You may wish to lock these URLs when the screen saver activates.

iv. Lock my password, credit card numbers and personal data:
Internet Explorer saves the passwords, credit card numbers and any personal data you leave on the internet.
If you select this option, the program will lock this information and every time you start the program, it'll check for new information saved by Internet Explorer and lock them.

v. Enable Blocking Sites:
Allows you to enable or disable the blocking sites.

2. Start Up Options:
You have 3 modes to choose from for starting up the program :

  • Start with Windows (recommended): This allows the program to start at Windows start up.
  • IE Startup (less recommended): The program will run automatically when you launch the IE. It will also close automatically when all Internet Explorer instances are closed.
  • Manual Start (not recommended): This allows you to run the program manually.

Note:
If the program isn't running and you configured your browsers by setting PrivacyGuard as your proxy server then you can't log in to the Internet so it's recommended that you select Start with Windows option.

3. Language Settings
Here you can change the language of your interface.

4. Live Update
Connects you to the program website for any new updates.


PrivacyGuard-FavoritesTab

Favorites Tab

Allow you to lock & unlock files & folders in your Internet Explorer Favorites to protect your privacy.

Note:
The other programs available in the market allow you only to lock folders not files.

1. Mark Favorites Items:

i. Mark Item:
If the item is locked, it'll be marked for unlock.
If the item is unlocked, it'll be marked for lock.
If the item is marked for lock, it'll recall the unlocked state.
If the item is marked for unlock, it'll recall the locked state.

ii. Lock All:

Marks all unlocked items for locking.

iii. Unlock All:

Marks all locked items for unlocking.

2. Display Options:

i. Collapse All:
Collapses all tree items.

ii. Expand All:
Expands all tree items.

iii. Show Locked Items:
Expands only the locked tree items.


PrivacyGuard-HistoryTab

History Tab

Allow you to lock & unlock files & folders in your Internet Explorer History to protect your privacy.

Note:
The other programs available in the market allow you only to clear your history.

Of course, this isn't the solution to protect your privacy.

Hint:
By Locking a site in the history, you'll lose the last visit date and the number of visits information for this site.
We are sorry, but we'll try to find a solution to this problem in the next versions.

1. Mark History Items

i. Mark Item:
If the item is locked, it'll be marked for unlocking.
If the item is unlocked, it'll be marked for locking.
If the item is marked for lock, it'll recall the unlocked state.
If the item is marked for unlock, it'll recall the locked state.

ii. Lock All:
Mark all unlocked items for locking.

iii. Unlock All:
Mark all locked items for unlocking.

2. Display Options

i. Collapse All:
Collapses all tree items.

ii. Expand All:
Expands all tree items.

iii. Show Locked Items:
Expands only the locked tree items.

iv. Refresh:
If you open the program then you go to web and visit some sites so you need to refresh the history tree by clicking the Refresh button.


Privacy Guard-TypedURLsTab

Typed URL's

Internet Explorer saves the URLs you typed in the address bar, even if you remove the URL from history it remains in the address bar.
If you want to delete one of these URLs, you have to clear the whole history.
Privacy Guard allows you to lock the URL(s) -you want- without deleting any thing from the history.
After locking the URLs, you need to restart the opened sessions of Internet Explorer for this action to take effect.

Note:
The programs available in the market allow you only to clear your Typed URLs.

Mark URLs

i. Mark URL(s):
If the URL is locked, it'll be marked for unlock.
If the URL is unlocked, it'll be marked for lock.
If the URL is marked for lock, it'll recall the unlocked state.
If the URL is marked for unlock, it'll recall the locked state.

ii. Lock All:
Marks all unlocked URLs for locking.

iii. Unlock All:
Marks all locked URLs for unlocking.

iv. Refresh:
If you open the program then go to web and type new sites on the Internet Explorer so you need to refresh the URLs list by clicking the Refresh button.


PrivacyGuard-BlockSitesTab

Block Sites Tab

Allow you to block sites or only block the images in the site. This function works on all browsers.
To use this feature you need to configure your browser by setting PrivacyGuard as your proxy server.

1. Add New Site
Adds new site to the blocked sites list.

2. Delete
Deletes a site from the blocked sites list.

3. Edit
Edits the URL or the blocking type.

4. How to configure your browsers?

4.1 Automatic proxy setting:

This feature supported for Internet Explorer, Opera (6 & 7), Netscape 7 or higher and AOL.

4.1.1 Set Proxy

Opens a wizard that guides you while you set the proxy server for your browsers.

Click Here for more info about Automatic Proxy Setting Wizard.

4.1.2 Reset Proxy

Opens a wizard that guides you while you reset the proxy server for your browsers.

Click Here for more info about Automatic Proxy Resetting Wizard.

4.2 Manual proxy setting:

If you have browser rather than the above browsers, you need to set it manually.

Click Here for more info about Manual Proxy Setting.

Note:

If you configure your browsers automatically, we’ll reset them for you when you uninstall the program but if you set them manually then you need to reset them manually too.

5. Blocked Site & Blocked Image:

There is a default HTML and image files to be displayed instead of the blocked site and image and also you can select other files.


PrivacyGuard-BrowsersTab

Browsers Tab

Provides 3 functions:
1. Close all opened browsers and pop ups in a single click.
2. Hide all opened browsers and pop ups in a single click.
3. Show all hidden browsers and pop ups -you hide using function 2- in a single click.

These 3 functions works on all browsers which put their name on the HTML page title like Internet Explorer.

These 3 functions can also be accessed from the program tray icon.

This function applies only to the browsers provided by the user; these browsers are displayed in the browsers list.

1. Add Browser:
Adds new browser to the list of browsers.
To add a browser, you need to enter its title.

2. Remove Browser:
Removes a browser from the list of browsers.


PrivacyGuard-PasswordTab

Password Tab

You will be asked about the password every time you start the program to prevent unauthorized people from accessing your locked Favorites, History, Typed URLs, Personal information and Passwords you leave on the Internet.

You will be asked also about the password when you want to uninstall the program to prevent unauthorized people from uninstalling the program and deleting your locked information.

Important:
If you forget your password, you won't be able to start the program or uninstall it.

Password Options:

  • Ask me about password every time the tray icon is accessed (recommended)

If you leave your PC running and the Privacy Guard was minimized in the tray, then every one can access the program unlocking all your locked information or changing the program password so you can't use the program any more as you don't know the new password and you'll lose your locked information.

To prevent others from accessing the program, we need to ask them for the password when they double click on the tray icon to show the program window or when they right click on the tray icon to access the program tray menu.

  • Ask me about password only at program start up.
  • Don't ask me for password (not recommended).


Automatic Proxy Setting

Step 1: Browsers Selection

Step 2: IE & AOL & Opera

Step 3: Netscape


Automatic Proxy Resetting

Step 1: Browsers Selection

Step 2: IE & AOL & Opera

Step 3: Netscape


PrivacyGuard-ProxySettings

Configuring Your Browser
Internet Explorer
Internet Explorer 4.x
Internet Explorer 5 and 6 -- using Microsoft's Dial-up Networking
Internet Explorer 5 and 6 -- using AOL, Custom Dialers, Cable, DSL and LAN Connections
Additional Settings for DSL Connections
Netscape Navigator
Netscape Navigator 4.x
Netscape Navigator 6
Opera
Opera 3.60
Opera 5
AOL
Using AOL
AOL version 3,4,5 and 6
AOL version 7.0

Other Browsers
Other Browsers. . .


NetscapeNavigator 4.x

 Netscape Navigator 4.x
1) From the Netscape menu, select the Edit and Preferences options. A dialog will be displayed similar to the one shown below:

2) Highlight the Advanced option and click on the plus symbol [+]. You will see the following dialog:

3) Click on Proxies, Manual proxy configuration and the View button. A dialog similar to the one shown below will be displayed:

4) In the HTTP section enter Privacy Guard as the Proxy address to use and 8100 as the port number. You do not need to modify the Security, FTP, Socks, Gopher, or WAIS entries.


 Netscape Navigator 6

1) From the Netscape menu, select the Edit and Preferences options.

2) Highlight the Advanced option and click on the arrow and select Proxies. You will see the following dialog:

3) Click on manual proxy configuration.

4) In the HTTP section enter Privacy Guard as the proxy address and 8100 as the port number. You do not need to modify the SSL, FTP, Socks, Gopher, or WAIS entries.


Internet Explorer 4

 Internet Explorer 4.x
1) From the Internet Explorer menu, select the View and Internet Options.
2) Click on the Connections tab. You should see a dialog that is similar to the one shown below:

3) Check the Access the Internet using a proxy server and the Bypass proxy server for local (Intranet) address options.
4) Click on the Advanced button. You will see a dialog similar to the one shown below:

5) In the HTTP section enter Privacy Guard as the Proxy address to use and 8100 as the port number. Do not modify the Secure, FTP, Gopher, or Socks entries and do not select the Use the same proxy server for all protocols option. Click OK, twice, to save your changes and close the dialog.

6) Under the Advanced tab, check both the Use HTTP 1.1 and HTTP 1.1 through proxy options.


Internet Explorer 5,6 DialUp

 Internet Explorer 5 and 6 -- using Microsoft's Dial-up Networking

If you use Microsoft's Dial-up Networking to connect to the Internet, follow the instructions below.
1) From the Internet Explorer menu, select the Tools and Internet Options.
2) On the Connections tab, click on your Current default dial-up connection in the Dial-up settings section. You will see a dialog similar to the one shown below:

3) Click on the Settings button on the right side of the dialog. You will see a dialog similar to the one shown below.
4) Check the [x] Use a proxy server and the Bypass proxy server for local addresses options. Note that you will have different information in your dialog, and certain areas may be enabled or disabled. Click on the Advanced button in the Proxy server section. The following dialog will be displayed.

5) In the HTTP section enter Privacy Guard as the Proxy address to use and 8100 as the port number. Do not modify the Secure, FTP, Gopher, or Socks entries and do not select the Use the same proxy server for all protocols option. Click on the OK button to save your changes.

6) Under the Advanced tab, check both the Use HTTP 1.1 and HTTP 1.1 through proxy options.


Internet Explorer 5,6 AOL

 Internet Explorer 5 and 6 -- using AOL, Custom Dialers, Cable, DSL and LAN Connections

If you connect to the Internet using AOL, a custom dialer provided by your ISP, or through a Cable/DSL or Local Area Network (LAN) connection, then follow the instructions below.
1) From the Internet Explorer menu, select the Tools and Internet Options.
2) On the Connections tab, click on LAN Settings. You will see a dialog similar to the one shown below:

3) Check the Use a Proxy Server and the Bypass proxy server for local addresses options.
4) Click on the Advanced button. You will see a dialog similar to the one shown below:

5) In the HTTP section enter Privacy Guard as the Proxy address to use and 8100 as the port number. Do not modify the Secure, FTP, Gopher, or Socks entries and do not select the Use the same proxy server for all protocols option. Click OK, twice, to save your changes and close the dialog.

6) Under the Advanced tab, check both the Use HTTP 1.1 and HTTP 1.1 through proxy options.


Opera 3.6

 Opera 3.60
From the Opera menu bar, select Preferences and Proxy Servers. The following dialog will be displayed.

In the HTTP section, enter Privacy Guard for the address and 8100 as the port number. You should not modify the FTP, Gopher, or WAIS options.
Also, there have been problems reported when using Privacy Guard and Opera under secure HTTPS sessions. It is recommended that you do not enter Privacy Guard's address and port under HTTPS.


 Opera 5

1) From the File menu select Preferences. You will see a dialog similar to the one shown below.

2) Highlight the Connections option and press the Proxy servers button. You will see a dialog similar to the one shown below.

3)In the HTTP section enter Privacy Guard as the proxy address and 8100 as the port number. You do not need to modify the HTTPS, FTP, Gopher, or WAIS entries.


AOL Version 3,4,5 & 6

 AOL Version 3,4,5 and 6

If you connect to the Internet using AOL, a custom dialer provided by your ISP, or through a Cable/DSL or Local Area Network (LAN) connection, then follow the instructions below.
1) From the Internet Explorer menu, select the Tools and Internet Options.
2) On the Connections tab, click on LAN Settings. You will see a dialog similar to the one shown below:

3) Check the Use a Proxy Server and the Bypass proxy server for local addresses options.
4) Click on the Advanced button. You will see a dialog similar to the one shown below:

5) In the HTTP section enter Privacy Guard as the Proxy address to use and 8100 as the port number. Do not modify the Secure, FTP, Gopher, or Socks entries and do not select the Use the same proxy server for all protocols option. Click OK, twice, to save your changes and close the dialog.

6) Under the Advanced tab, check both the Use HTTP 1.1 and HTTP 1.1 through proxy options.


AOL Version 7

 AOL Version 7.0

AOL v7.0 resets the proxy settings you have configured for Internet Explorer each time the AOL software is launched. Previous versions of AOL did not exhibit this behavior. Therefore, you will not be able to use Internet Explorer and Privacy Guard if you have AOL v7.0 installed.

Note that AOL v7.0 does not modify the proxy settings for Netscape Navigator or Opera, so you may use either of these browsers with Privacy Guard.


DSL Connections

 Additional Settings for DSL Connections

When using a DSL connection, you may need to configure Internet Explorer's proxy settings for your modem connection as well. The following screens illustrate an example configuration for DSL.
1) From the Internet Explorer menu, select the Tools and Internet Options.
2) On the Connections tab, click on your Current default dial-up connection in the Dial-up settings section. You will see a dialog similar to the one shown below:

3) Click on the Settings button on the right side of the dialog. You will see a dialog similar to the one shown below.
4) Check the [x] Use a proxy server and the Bypass proxy server for local addresses options. Note that you will have different information in your dialog, and certain areas may be enabled or disabled. Click on the Advanced button in the Proxy server section. The following dialog will be displayed.

5) In the HTTP section enter Privacy Guard as the Proxy address to use and 8100 as the port number. Do not modify the Secure, FTP, Gopher, or Socks entries and do not select the Use the same proxy server for all protocols option. Click on the OK button to save your changes.

If you use Windows Update, you should add *windowsupdate* to the Exceptions list.

6) Under the Advanced tab, check both the Use HTTP 1.1 and HTTP 1.1 through proxy options.


 Other Browsers

If you are using a browser that is not listed in this help file you will need to consult your browser's online help to assist you in configuring the proxy settings.

Your browser should have an option for setting the IP, or address, and port number for the HTTP connections. Enter Privacy Guard as the IP address and 8100 as the port number.

If your browser allows you to enable the HTTP 1.1 protocol then you should enable it.


PrivacyGuard-Uninstallation

Uninstalling the program

The uninstaller has 2 tasks to do before uninstalling PrivacyGuard:

Task 1:

If you have any locked information (s.t. Favorites, History, Typed URLs or Personal data), the uninstaller will unlock them for you.
The uninstaller will ask you if you want to unlock them or you want to delete them and continue the uninstall process.

Task 2:

If you configure your browsers automatically, the uninstaller will reset them for you.


 Using AOL
It has been reported that with certain versions of AOL you must configure both the Dial-up modem and LAN connections under Internet Explorer in order to use Privacy Guard.

Also, Privacy Guard will not work when using AOL's internal browser since AOL does not support proxies. You must use Internet Explorer, or Netscape, after making your AOL connection in order to use Privacy Guard.